## python-casacore 3.0.0

=== tests/requirements.txt ===
nose
unittest2
coverage
coveralls
travis-sphinx

## python-casacore 2.1.2

=== debian/changelog ===
python-casacore (2.1.2-3) unstable; urgency=low

  * Use libcfitsio-dev dependency. Closes: #841216

 -- Ole Streicher <olebole@debian.org>  Wed, 19 Oct 2016 09:23:00 +0200

python-casacore (2.1.2-2) unstable; urgency=medium

  * Add debian/upstream/metadata with bug db and repository

 -- Ole Streicher <olebole@debian.org>  Mon, 26 Sep 2016 10:58:45 +0200

python-casacore (2.1.2-1) unstable; urgency=low

  * Initial version. Closes: #830118

 -- Gijs Molenaar <gijs@pythonic.nl>  Tue, 05 Jul 2016 14:47:19 +0000

=== debian/control ===
Source: python-casacore
Section: python
Priority: optional
Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Gijs Molenaar <gijs@pythonic.nl>, Ole Streicher <olebole@debian.org>
Build-Depends: casacore-dev,
               debhelper (>= 9),
               dh-python,
               libboost-python-dev,
               libcasa-python3-2,
               libcfitsio-dev | libcfitsio3-dev,
               python-all (>= 2.6.6-3~),
               python-dev,
               python-numpy,
               python-setuptools,
               python-six,
               python3-all,
               python3-dev,
               python3-numpy,
               python3-setuptools,
               python3-six,
               wcslib-dev
Standards-Version: 3.9.8
Homepage: https://github.com/casacore/python-casacore
Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/python-casacore.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/python-casacore.git
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.4

Package: python-casacore
Architecture: any
Provides: ${python:Provides}
Depends: python-numpy,
         python-six,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Description: Python 2 bindings to the casacore library
 The casacore package contains the core libraries of the old AIPS++/CASA
 package. This split was made to get a better separation of core
 libraries and applications. CASA is now built on top of casacore.
 .
 This is the Python 2 wrapper around the library.

Package: python3-casacore
Architecture: any
Provides: ${python3:Provides}
Depends: python3-numpy,
         python3-six,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Python 3 bindings to the casacore library
 The casacore package contains the core libraries of the old AIPS++/CASA
 package. This split was made to get a better separation of core
 libraries and applications. CASA is now built on top of casacore.
 .
 This is the Python 3 wrapper around the library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
export DH_VERBOSE=1
export PYBUILD_NAME = casacore

%:
	dh $@ --with python2,python3 --buildsystem=pybuild  --parallel


override_dh_clean:
	dh_clean
	rm -rf python_casacore.egg-info

## python-casacore 2.2.1

=== debian/changelog ===
python-casacore (2.2.1-1) unstable; urgency=low

  * New upstream version 2.2.1
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Wed, 29 Nov 2017 11:22:50 +0100

python-casacore (2.2.0-2) unstable; urgency=low

  * Set default library name for libboost-python. Fixes FTBFS on on-x86

 -- Ole Streicher <olebole@debian.org>  Wed, 08 Nov 2017 14:50:50 +0100

python-casacore (2.2.0-1) unstable; urgency=low

  [Gijs Molenaar]
  * add debian clean file
  * Imported Upstream version 2.2.0
  * Disable six patch for now

  [Ole Streicher]
  * Push Standards-Version to 4.1.1. No changes.

 -- Ole Streicher <olebole@debian.org>  Mon, 06 Nov 2017 18:28:32 +0200

python-casacore (2.1.2-5) unstable; urgency=medium

  * Run python[3]-numpy to calculate Numpy ABI dependency. (Closes: #877481)
    (LP: #1713153)
  * Push Standards-Version to 4.1.1. No changes needed

 -- Ole Streicher <olebole@debian.org>  Mon, 02 Oct 2017 12:48:20 +0200

python-casacore (2.1.2-4) unstable; urgency=low

  * Depend on python[3]-all-dev to cover all Python versions
  * Push Standards-Version to 4.0.0. No changes needed.

 -- Ole Streicher <olebole@debian.org>  Tue, 04 Jul 2017 20:24:44 +0200

=== debian/control ===
--- 
+++ 
@@ -3,24 +3,24 @@
 Priority: optional
 Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Gijs Molenaar <gijs@pythonic.nl>, Ole Streicher <olebole@debian.org>
-Build-Depends: casacore-dev,
+Build-Depends: casacore-dev (>= 2.3.0),
                debhelper (>= 9),
                dh-python,
                libboost-python-dev,
                libcasa-python3-2,
                libcfitsio-dev | libcfitsio3-dev,
                python-all (>= 2.6.6-3~),
-               python-dev,
+               python-all-dev,
                python-numpy,
                python-setuptools,
                python-six,
                python3-all,
-               python3-dev,
+               python3-all-dev,
                python3-numpy,
                python3-setuptools,
                python3-six,
                wcslib-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: https://github.com/casacore/python-casacore
 Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/python-casacore.git
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/python-casacore.git

=== debian/rules ===
--- 
+++ 
@@ -11,3 +11,8 @@
 override_dh_clean:
 	dh_clean
 	rm -rf python_casacore.egg-info
+
+override_dh_shlibdeps:
+	dh_shlibdeps
+	dh_numpy
+	dh_numpy3

## python-casacore 3.0.0

=== debian/changelog ===
python-casacore (3.0.0-1) unstable; urgency=low

  * New upstream version 3.0.0. Rediff patches
  * Drop Fix-build-and-namespace-problem.patch: applied upstream
  * Remove Python 2 package
  * Push Standards-Version to 4.2.1. No changes needed.
  * Push compat to 11

 -- Ole Streicher <olebole@debian.org>  Sat, 15 Dec 2018 15:16:36 +0100

python-casacore (2.2.1-2) unstable; urgency=medium

  [ Ole Streicher ]
  * Update VCS fields to use salsa.d.o

  [ Michael Hudson-Doyle ]
  * Fix for Boost.Python SONAME change. (Closes: #914050)

  [ Peter Michael Green ]
  * Fix build and namespace problem (Closes: #914596)
  * Update build-depends/conflicts for casacore 3

 -- Ole Streicher <olebole@debian.org>  Thu, 29 Nov 2018 19:44:19 +0100

=== debian/control ===
Source: python-casacore
Section: python
Priority: optional
Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Gijs Molenaar <gijs@pythonic.nl>, Ole Streicher <olebole@debian.org>
Build-Depends: casacore-dev (>= 3),
               debhelper (>= 11),
               dh-python,
               libboost-python-dev,
               libcasa-python3-3,
               libcfitsio-dev,
               python3-all,
               python3-all-dev,
               python3-numpy,
               python3-setuptools,
               python3-six,
               wcslib-dev
Build-Conflicts:
               libcasa-python3-2
Standards-Version: 4.2.1
Homepage: https://github.com/casacore/python-casacore
Vcs-Git: https://salsa.debian.org/debian-astro-team/python-casacore.git
Vcs-Browser: https://salsa.debian.org/debian-astro-team/python-casacore

Package: python3-casacore
Architecture: any
Provides: ${python3:Provides}
Depends: python3-numpy,
         python3-six,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Python bindings to the casacore library
 The casacore package contains the core libraries of the old AIPS++/CASA
 package. This split was made to get a better separation of core
 libraries and applications. CASA is now built on top of casacore.
 .
 This is the Python wrapper around the library.

## python-casacore 3.2.0

=== tests/requirements.txt ===
pytest
coverage
coveralls
travis-sphinx

=== debian/changelog ===
python-casacore (3.2.0-2build2) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 09:38:40 +0100

python-casacore (3.2.0-2build1) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Feb 2020 21:24:48 +0000

python-casacore (3.2.0-2) unstable; urgency=medium

  * Drop specific libcasa-python3-3 build dependency (Closes: #949546)
  * Push Standards-Version to 4.5.0. No changes needed

 -- Ole Streicher <olebole@debian.org>  Tue, 21 Jan 2020 21:49:51 +0100

python-casacore (3.2.0-1) unstable; urgency=low

  * Push Standards-Version to 4.4.1. No changes required
  * Push compat to 12. Remove d/compat
  * Add gitlab-ci.yml for salsa
  * Remove unused paragraph in d/copyright
  * New upstream version 3.2.0. Rediff patches
  * Update required min version of casacore

 -- Ole Streicher <olebole@debian.org>  Thu, 16 Jan 2020 08:39:19 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: python-casacore
 Section: python
 Priority: optional
-Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Gijs Molenaar <gijs@pythonic.nl>, Ole Streicher <olebole@debian.org>
-Build-Depends: casacore-dev (>= 3),
-               debhelper (>= 11),
+Build-Depends: casacore-dev (>= 3.2~),
+               debhelper-compat (= 12),
                dh-python,
                libboost-python-dev,
-               libcasa-python3-3,
                libcfitsio-dev,
                python3-all,
                python3-all-dev,
@@ -15,9 +15,7 @@
                python3-setuptools,
                python3-six,
                wcslib-dev
-Build-Conflicts:
-               libcasa-python3-2
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/casacore/python-casacore
 Vcs-Git: https://salsa.debian.org/debian-astro-team/python-casacore.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/python-casacore

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#export DH_VERBOSE=1

export PYBUILD_NAME = casacore

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_clean:
	dh_clean
	rm -rf python_casacore.egg-info

override_dh_shlibdeps:
	dh_shlibdeps
	dh_numpy3

## python-casacore 3.3.1

=== debian/changelog ===
python-casacore (3.3.1-1) unstable; urgency=low

  * New upstream version 3.3.1. Rediff patches
  * Push dh-compat to 13

 -- Ole Streicher <olebole@debian.org>  Fri, 22 May 2020 11:41:18 +0200

python-casacore (3.3.0-2) unstable; urgency=low

  * Add multiarch dir to library search. Fixes FTBFS on non-x86_64 archs

 -- Ole Streicher <olebole@debian.org>  Sat, 25 Apr 2020 17:05:50 +0200

python-casacore (3.3.0-1) unstable; urgency=low

  * New upstream version 3.3.0. Rediff patches.

 -- Ole Streicher <olebole@debian.org>  Sat, 25 Apr 2020 14:39:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: python-casacore
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Gijs Molenaar <gijs@pythonic.nl>, Ole Streicher <olebole@debian.org>
 Build-Depends: casacore-dev (>= 3.2~),
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                dh-python,
                libboost-python-dev,
                libcfitsio-dev,

## python-casacore 3.4.0

=== debian/changelog ===
python-casacore (3.4.0-1build2) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 23:02:37 +0000

python-casacore (3.4.0-1build1) jammy; urgency=medium

  * No-change rebuild against libcasa-images6

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 07 Dec 2021 01:37:45 +0000

python-casacore (3.4.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit, Repository, Repository-Browse.
  * Remove obsolete field Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

  [ Ole Streicher ]
  * New upstream version 3.4.0
  * Push Standards-Version to 4.6.0. No changes needed
  * Add "Rules-Requires-Root: no" to d/control

 -- Ole Streicher <olebole@debian.org>  Tue, 24 Aug 2021 15:30:37 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-casacore
 Section: python
 Priority: optional
-Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Gijs Molenaar <gijs@pythonic.nl>, Ole Streicher <olebole@debian.org>
 Build-Depends: casacore-dev (>= 3.2~),
                debhelper-compat (= 13),
@@ -14,10 +15,11 @@
                python3-setuptools,
                python3-six,
                wcslib-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/casacore/python-casacore
 Vcs-Git: https://salsa.debian.org/debian-astro-team/python-casacore.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/python-casacore
+Rules-Requires-Root: no
 
 Package: python3-casacore
 Architecture: any

## python-casacore 3.5.1

=== debian/changelog ===
python-casacore (3.5.1-1build1) kinetic; urgency=medium

  * No-change rebuild to pick up fixed libboost-python dependencies

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 03 Sep 2022 19:38:32 +0000

python-casacore (3.5.1-1) unstable; urgency=medium

  * New upstream version 3.5.1

 -- Ole Streicher <olebole@debian.org>  Sat, 13 Aug 2022 11:54:33 +0200

python-casacore (3.5.0-1) unstable; urgency=medium

  * New upstream version 3.5.0
  * Rediff patches
  * Push Standards-Version to 4.6.1. No changes needed
  * Change documented license to LGPL-3

 -- Ole Streicher <olebole@debian.org>  Fri, 08 Jul 2022 08:38:49 +0200

=== debian/control ===
Source: python-casacore
Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Gijs Molenaar <gijs@pythonic.nl>,
           Ole Streicher <olebole@debian.org>
Section: python
Priority: optional
Build-Depends: casacore-dev (>= 3.2~),
               debhelper-compat (= 13),
               dh-python,
               libboost-python-dev,
               libcfitsio-dev,
               python3-all,
               python3-all-dev,
               python3-numpy,
               python3-setuptools,
               python3-six,
               wcslib-dev
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/debian-astro-team/python-casacore
Vcs-Git: https://salsa.debian.org/debian-astro-team/python-casacore.git
Homepage: https://github.com/casacore/python-casacore
Rules-Requires-Root: no

Package: python3-casacore
Architecture: any
Depends: python3-numpy,
         python3-six,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Provides: ${python3:Provides}
Description: Python bindings to the casacore library
 The casacore package contains the core libraries of the old AIPS++/CASA
 package. This split was made to get a better separation of core
 libraries and applications. CASA is now built on top of casacore.
 .
 This is the Python wrapper around the library.

## python-casacore 3.5.2

=== debian/changelog ===
python-casacore (3.5.2-1build5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:21:27 +1100

python-casacore (3.5.2-1build4) noble; urgency=high

  * No change rebuild against libcasa-derivedmscal7t64, libcasa-ms7t64,
    libcasa-casa7t64, libcasa-tables7t64, libcasa-python3-7t64, libcasa-
    measures7t64, libcasa-meas7t64, libcasa-scimath7t64, libcasa-
    images7t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:50:11 +0100

python-casacore (3.5.2-1build3) noble; urgency=medium

  * No-change rebuild for boost defaults change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 20:45:58 +0100

python-casacore (3.5.2-1build2) noble; urgency=medium

  * No-change rebuild to build with python3.12 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 02 Nov 2023 09:25:23 +0100

python-casacore (3.5.2-1build1) lunar; urgency=medium

  * Rebuild against latest icu

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 06 Feb 2023 15:36:12 -0500

python-casacore (3.5.2-1) unstable; urgency=medium

  * New upstream version 3.5.2
  * Push Standards-Version to 4.6.2, no changes needed

 -- Ole Streicher <olebole@debian.org>  Fri, 13 Jan 2023 14:09:11 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: python-casacore
-Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Gijs Molenaar <gijs@pythonic.nl>,
            Ole Streicher <olebole@debian.org>
 Section: python
@@ -15,7 +16,7 @@
                python3-setuptools,
                python3-six,
                wcslib-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/python-casacore
 Vcs-Git: https://salsa.debian.org/debian-astro-team/python-casacore.git
 Homepage: https://github.com/casacore/python-casacore

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/python-casacore-$1\.tar\.gz/ \
  https://github.com/casacore/python-casacore/tags .*/v?(\d\S*)\.tar\.gz

## python-casacore 3.6.1

=== debian/changelog ===
python-casacore (3.6.1-2) unstable; urgency=medium

  * Compare with correct byteorder for table test

 -- Ole Streicher <olebole@debian.org>  Tue, 25 Mar 2025 12:38:25 +0100

python-casacore (3.6.1-1) unstable; urgency=medium

  * New upstream version 3.6.1 (Closes: #1101170, #1085894)
  * Rediff patches
  * Add new build dependencies
  * Copy testfiles to run build time tests
  * Add autopkgtests (Closes: #1035212)
  * Push Standards-Version to 4.7.2, no changes needed

 -- Ole Streicher <olebole@debian.org>  Tue, 25 Mar 2025 10:44:07 +0100

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,29 @@
 Source: python-casacore
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Gijs Molenaar <gijs@pythonic.nl>,
            Ole Streicher <olebole@debian.org>
 Section: python
 Priority: optional
-Build-Depends: casacore-dev (>= 3.2~),
+Build-Depends: casacore-dev (>= 3.6~),
+               cmake,
                debhelper-compat (= 13),
                dh-python,
+               libblas-dev,
                libboost-python-dev,
+               liblapack-dev,
                libcfitsio-dev,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-all-dev,
                python3-numpy,
+               python3-numpy-dev,
+               python3-pytest <!nocheck>,
+               python3-scikit-build-core,
                python3-setuptools,
+               python3-setuptools-scm,
                python3-six,
                wcslib-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/python-casacore
 Vcs-Git: https://salsa.debian.org/debian-astro-team/python-casacore.git
 Homepage: https://github.com/casacore/python-casacore

## python-casacore 3.7.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.15...3.26)
project(python-casacore)

find_package(
  Python
  COMPONENTS Interpreter Development.Module
  REQUIRED)

# Find Casacore and its dependencies
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
find_package(Casacore REQUIRED)
find_package(Boost REQUIRED COMPONENTS python3)

# If environment variable CASACORE_DATA is set, assume it points to a directory
# containing the cascacore data files, and install its contents.
if(DEFINED ENV{CASACORE_DATA})
  foreach(_dir ephemerides geodetic)
    if(NOT IS_DIRECTORY $ENV{CASACORE_DATA}/${_dir})
      message(
        SEND_ERROR
          "Directory $ENV{CASACORE_DATA}/${_dir} does not exist. "
          "Does environment variable CASACORE_DATA point to a valid data directory?"
      )
    endif()
  endforeach()
  install(
    DIRECTORY $ENV{CASACORE_DATA}
    DESTINATION casacore
    COMPONENT data)
else()
  message(
    WARNING
      "Environment variable CASACORE_DATA is not defined. "
      "Casacore data files will not be included in the python-casacore package."
  )
endif()

add_subdirectory(src)
if(BUILD_TESTING)
  add_subdirectory(tests)
endif()

=== doc/requirements.txt ===
importlib-metadata; python_version<'3.8'

=== src/CMakeLists.txt ===
python_add_library(_fitting MODULE WITH_SOABI fit.cc fitting.cc)

python_add_library(_functionals MODULE WITH_SOABI functional.cc functionals.cc)

python_add_library(_images MODULE WITH_SOABI images.cc pyimages.cc)

python_add_library(_measures MODULE WITH_SOABI pymeas.cc pymeasures.cc)

python_add_library(
  _quanta
  MODULE
  WITH_SOABI
  quanta.cc
  quantamath.cc
  quantity.cc
  quantvec.cc)

python_add_library(
  _tables
  MODULE
  WITH_SOABI
  pytable.cc
  pytableindex.cc
  pytableiter.cc
  pytablerow.cc
  tables.cc
  pyms.cc)

get_directory_property(_targets BUILDSYSTEM_TARGETS)
foreach(_target ${_targets})
  string(REGEX REPLACE "^_" "casacore/" _destination "${_target}")
  target_include_directories(${_target} PRIVATE ${Boost_INCLUDE_DIRS}
                                                ${CASACORE_INCLUDE_DIRS})
  target_link_directories(${_target} PRIVATE ${CASACORE_LIBRARY_DIRS})
  target_link_libraries(${_target} PRIVATE ${CASACORE_LIBRARIES})
  if(NOT ${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
    target_link_options(${_target} PRIVATE "LINKER:--as-needed")
  endif()
  install(TARGETS ${_target} LIBRARY DESTINATION ${_destination}
                                     COMPONENT libraries)
endforeach()

=== tests/CMakeLists.txt ===
python_add_library(_tConvert MODULE WITH_SOABI tConvert.cc)
target_include_directories(_tConvert PRIVATE ${Boost_INCLUDE_DIRS}
                                             ${CASACORE_INCLUDE_DIRS})
target_link_directories(_tConvert PRIVATE ${CASACORE_LIBRARY_DIRS})
target_link_libraries(_tConvert PRIVATE ${CASACORE_LIBRARIES})
if(NOT ${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
  target_link_options(_tConvert PRIVATE "LINKER:--as-needed")
endif()
install(TARGETS _tConvert LIBRARY DESTINATION casacore COMPONENT libraries)

=== debian/changelog ===
python-casacore (3.7.1-3) unstable; urgency=medium

  [ Phil Wyett ]
  * Convert 'd/watch' to version 5 format.
  * Remove no longer needed 'Rules-Requires-Root: no'. Now is default behavior.
  * Fix build source after successful build.
  * Add nice comment for DH_VERBOSE.
  * Add hardening for C/CPP elements.
  * Add 'lr.config' file with contents 'pyproject.toml'.
  * Rework 'd/coyright' file with additions and other edits.

  [ Ole Streicher ]
  * Restrict build to default Python version (Closes: #1122028)
  * Push Standards-Version to 4.7.3, no changes needed
  * Add GPL-3+ license hint

 -- Ole Streicher <olebole@debian.org>  Wed, 04 Feb 2026 12:56:44 +0100

python-casacore (3.7.1-2) unstable; urgency=medium

  * Team Upload
  * Drop dependency on python3-six

 -- Alexandre Detiste <tchet@debian.org>  Sat, 12 Apr 2025 16:53:58 +0200

python-casacore (3.7.1-1) unstable; urgency=medium

  * New upstream version 3.7.1

 -- Ole Streicher <olebole@debian.org>  Wed, 09 Apr 2025 21:34:59 +0200

=== debian/control ===
Source: python-casacore
Standards-Version: 4.7.3
Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders:
 Gijs Molenaar <gijs@pythonic.nl>,
 Ole Streicher <olebole@debian.org>,
Section: python
Build-Depends:
 casacore-dev (>= 3.6~),
 cmake,
 debhelper-compat (= 13),
 dh-python,
 libblas-dev,
 libboost-python-dev,
 liblapack-dev,
 libcfitsio-dev,
 pybuild-plugin-pyproject,
 python3,
 python3-dev,
 python3-numpy,
 python3-numpy-dev,
 python3-pytest <!nocheck>,
 python3-scikit-build-core,
 python3-setuptools,
 python3-setuptools-scm,
 wcslib-dev,
Vcs-Browser: https://salsa.debian.org/debian-astro-team/python-casacore
Vcs-Git: https://salsa.debian.org/debian-astro-team/python-casacore.git
Homepage: https://github.com/casacore/python-casacore

Package: python3-casacore
Architecture: any
Depends:
 python3-numpy,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Provides:
 ${python3:Provides},
Description: Python bindings to the casacore library
 The casacore package contains the core libraries of the old AIPS++/CASA
 package. This split was made to get a better separation of core
 libraries and applications. CASA is now built on top of casacore.
 .
 This is the Python wrapper around the library.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,10 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
+
+# Uncomment line below for verbose debhelper output.
 #export DH_VERBOSE=1
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 export PYBUILD_NAME = casacore

=== debian/watch ===
Version: 5
Template: Github
Owner: casacore
Project: python-casacore
